/*
 * bonding analyzation code
 *
 * author: frank.zirkelbach@physik.uni-augsburg.de
 *
 */

#define _GNU_SOURCE
#include <stdio.h>
//#include <stdlib.h>
//#include <unistd.h>
//#include <string.h>
//#include <sys/types.h>
//#include <sys/stat.h>
//#include <fcntl.h>

#include "moldyn.h"
#include "potentials/albe.h"

int usage(char *prog) {

	printf("\nusage:\n");
	printf("  %s <save file>\n\n",prog);

	return -1;
}

int main(int argc,char **argv) {

	t_moldyn moldyn;
	int ret;
	double quality[2];

	if(argc!=2) {
		usage(argv[0]);
		return -1;
	}

	memset(&moldyn,0,sizeof(t_moldyn));

	printf("[bond analyze] reading save file ...\n");
	ret=moldyn_read_save_file(&moldyn,argv[1]);
	if(ret) {
		printf("[bond analyze] exit!\n");
		return ret;
	}

	/* potential setting */
	set_potential(&moldyn,MOLDYN_POTENTIAL_AM);
	albe_mult_set_params(&moldyn,SI,C);

	/* link cell init */
	link_cell_init(&moldyn,VERBOSE);

	/* analyzing ... */
	bond_analyze(&moldyn,quality);

	printf("[bond analyze] t: %f | quality = %f | %f | %d\n",
               moldyn.time,quality[0],quality[1],moldyn.count);

	moldyn_free_save_file(&moldyn);

	return 0;
}
